Subject: bug#24317: 25.1.50; image-dired-rotate-original: regexp doesn't match .jpeg suffix

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Aug 2016 17:31:22 +0300

> > I think we should indeed use image-type instead of having yet another
> > function that recognizes JPEG.  The problem I pointed out should be
> > fixed in image-type-from-file-name, regardless.
> I see.  I have prepared following new patch:
> 
> ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
> >From b953d600a295e4e0aa58b85126296663e7f02472 Mon Sep 17 00:00:00 2001
> From: Tino Calancha <[email-masked]>
> Date: Sun, 28 Aug 2016 21:20:22 +0900
> Subject: [PATCH] image-type-from-file-name: Perform a case insensitive 
> match
> 
> Fix Bug#24317
> * lisp/image.el (image-type-from-file-name): Bind case-fold-search
> to a non-nil value to force a case insensitive match.
> * lisp/image-dired.el (image-dired-rotate-original):
> Use image-type (Bug#24317).
> (image-dired-get-exif-file-name): Idem.
> Set 'no-exif-data-found' and 'data' in same setq call.
> Use file-attribute-modification-time.

Thanks, this looks good to me.  Please push in a few days if no
additional comments are posted.